routes/admin.php
<?php

use Illuminate\Support\Facades\Route;
use App\Http\Controllers\Admin\LoginAdminController;
use App\Http\Controllers\Admin\AdminController;
use App\Http\Controllers\Admin\CategoryController;
use App\Http\Controllers\Admin\ArticleController;
use App\Http\Controllers\Admin\UserController;
use App\Http\Controllers\Admin\RechargeController;
use App\Http\Controllers\Admin\Select;

// ------------------------------Admin ForgetPassword--------------------------
Route::get('foregtpassword', function () {
return view('Backend.Admin.forget_email');
})->name('foregtpassword');

Route::get('resetpassword', function () {
return view('Backend.Admin.reset');
})->name('resetpassword');


//--------------------------------------- Admin Login-------------------------------
Route::group(['namespace' => 'Auth'], function () {
    Route::get('login', [LoginAdminController::class, 'showLoginForm'])->name('admin_login');
    Route::post('login', [LoginAdminController::class, 'login']);
    Route::post('logout', [LoginAdminController::class, 'logout'])->name('admin_logout');
});


// --------------------------------------Dashbooard View------------------------------
Route::group(['middleware' => 'auth:admin'], function () {
Route::get('/dasboard', function () {
    return view('Backend.Admin.dashboard');
})->name('dasboard');


//--------------------------------------Admin Profile Module---------------------------
Route::get('/profile', [AdminController::class, 'profileview'])->name('profile_view');
Route::post('/profile-update', [AdminController::class, 'profileupdate'])->name('profile_update');
Route::get('change-view', [AdminController::class, 'changePasswordview'])->name('view');
Route::post('change-pass', [AdminController::class, 'changePassword'])->name('change_pass');


//--------------------------------------category--------------------------- 
Route::resource('category',CategoryController::class);


//--------------------------------------Article---------------------------- 
Route::resource('article',ArticleController::class);



//-------------------------------------User display-----------------------
Route::resource('user',UserController::class);


//------------------------------------Recharge display--------------------
Route::resource('recharge',RechargeController::class);
Route::get('recharge-status',[RechargeController::class,'Rechargestatus'])->name('recharge-status');
Route::get('mail-send',[RechargeController::class,'mail'])->name('mail_send');


});

routes/web.php
<?php

use App\Http\Controllers\frontend\ArticleController;
use App\Http\Controllers\frontend\PostController;
use App\Http\Controllers\HomeController;
use App\Http\Controllers\RechagerController;
use Illuminate\Support\Facades\Auth;
use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/


Route::get('/', function () {
    return view('frantend.home');
});

Auth::routes();
Route::get('/post', [HomeController::class, 'index'])->name('home');

Route::group(['middleware' => 'auth:web'], function () {

    //---------------------------------------Post--------------------------------- 
    Route::resource('post', PostController::class);
    Route::post('request-send', [PostController::class,'sendrequest'])->name('sendrequest');




    // ------------------------------------Article Like and coment----------------

    Route::get('like/{id}', [ArticleController::class, 'like'])->name('like');
    Route::get('dislikes/{id}', [ArticleController::class, 'dislikes'])->name('dislikes');
    Route::Post('submit_comment/{id}', [ArticleController::class, 'comment'])->name('submit_comment');
});

resources/views/frantend/layouts/footer.blade.php
<!-- Footer-->
<?php

?>
<footer class="footer py-4">
    <div class="container">
        <div class="row align-items-center">
            <div class="col-lg-4 text-lg-start"></div>
            <div class="col-lg-4 my-3 my-lg-0">
                <a class="btn btn-dark btn-social mx-2" href=""><i class="fa fa-twitter"></i></a>
                <a class="btn btn-dark btn-social mx-2" href=""><i class="fa fa-facebook-f"></i></a>
                <a class="btn btn-dark btn-social mx-2" href=""><i class="fa fa-linkedin"></i></a>
            </div>
            <div class="col-lg-4 text-lg-end">
                <a class="link-dark text-decoration-none me-3" href="#!">Privacy Policy</a>
                <a class="link-dark text-decoration-none" href="#!">Terms of Use</a>
            </div>
        </div>
    </div>
</footer>

resources/views/frantend/layouts/header.blade.php
<header class="masthead">
    <div class="container">
        <div class="masthead-subheading">Articles !</div>
        <div class="masthead-heading text-uppercase">it's time to Reading</div>
    </div>
</header>
<nav class="navbar navbar-expand-lg navbar-dark fixed-top" id="mainNav">
    <div class="container">
        <a class="navbar-brand" href="{{route('post.index')}}"><img src='{{ asset('frontend\assest\img\navbar-logo.svg') }}' alt="..." /></a>
        <div class="collapse navbar-collapse" id="navbarResponsive">
            <ul class="navbar-nav text-uppercase ms-auto py-4 py-lg-0">
                @if(auth()->user())
                <li class="nav-item"><a class="nav-link" href="{{ route('post.index') }}">New &#x1F4D6;</a></li>
                <li class="nav-item"><a class="nav-link" href="{{ route('post.index') }}">Welcome ,&#x1F60A;{{ auth()->user()->name}}</a></li>
                <li class=" nav-item dropdown">
                    <a id="navbarDropdown" class="nav-link dropdown-toggle" href="{{ route('logout') }}" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false" v-pre>
                        {{ Auth::user()->name }}
                    </a>
                    <div class="dropdown-menu dropdown-menu-right" aria-labelledby="navbarDropdown">
                        {{-- <a href="{{route('post.create')}}" class=" dropdown-item input1">Create Post &#x270D;</a> --}}
                        <a class="dropdown-item input1" href="{{ route('logout') }}" onclick="event.preventDefault();document.getElementById('logout-form').submit();">{{ __('Logout') }}</a>
                        <form id="logout-form" action="{{ route('logout') }}" method="POST" class="d-none">
                            @csrf
                        </form>
                        @else
                        <div class="hidden fixed top-0 right-0 px-6 py-4 sm:block">
                            <a href="{{ route('login') }}" class="input1">Log in</a>
                            <a href="{{ route('register') }}" class="input1">Register</a>
                        </div>
                    </div>
                </li>
                @endif
            </ul>
        </div>
    </div>
</nav>

resources/views/frantend/layouts/master.blade.php
<!DOCTYPE html>
<html lang="{{ str_replace('_', '-', app()->getLocale()) }}">

<head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no" />
    <meta name="description" content="" />
    <meta name="author" content="" />
    <!-- CSRF Token -->
    <meta name="csrf-token" content="{{ csrf_token() }}">
    <title>Blogger</title>
    <link rel="icon" type="image/x-icon" href="{{ asset ('frontend/assest/assets/favicon.ico')}}" />
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">
    <link rel="icon" type="image/x-icon" href="frontend/assest/assets/favicon.ico" />
    <!-- Font Awesome icons (free version)-->
    <script src="frontend/assest/https://use.fontawesome.com/releases/v5.15.3/js/all.js" crossorigin="anonymous"></script>
    <!-- Google fonts-->
    <link href="frontend/assest/https://fonts.googleapis.com/css?family=Montserrat:400,700" rel="stylesheet" type="text/css" />
    <link href="frontend/assest/https://fonts.googleapis.com/css?family=Roboto+Slab:400,100,300,700" rel="stylesheet" type="text/css" />
    <link rel="dns-prefetch" href="//fonts.gstatic.com">
    <link href="https://fonts.googleapis.com/css?family=Nunito" rel="stylesheet">

    <!-- Core theme CSS (includes Bootstrap)-->
    <link href="{{asset('frontend/assest/css/styles.css')}}" rel="stylesheet" />
    <!-- Favicon-->
    <script src="{{asset('https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js')}}"></script>
    <script src="{{asset('https://maxcdn.bootstrapcdn.com/bootstrap/3.4.1/js/bootstrap.min.js')}}"></script>
    <!-- Styles -->
    <!-- <link href="{{ asset('css/app.css') }}" rel="stylesheet"> -->
    <!-- ck editors -->
    <link rel="stylesheet" href="//code.jquery.com/ui/1.12.1/themes/base/jquery-ui.css">
    @stack('css')
</head>

<body id="page-top">
    @include('frantend.layouts.header')
    @include('flash-message')

    @yield('content')
    <script type="text/javascript"></script>
    <script src="https://cdn.ckeditor.com/4.16.2/standard/ckeditor.js"></script>

    <script src="https://cdnjs.cloudflare.com/ajax/libs/sweetalert/2.1.2/sweetalert.min.js" integrity="sha512-AA1Bzp5Q0K1KanKKmvN/4d3IRKVlv9PYgwFPvm32nPO6QS8yH1HO7LbgB1pgiOxPtfeg5zEn2ba64MUcqJx6CA==" crossorigin="anonymous" referrerpolicy="no-referrer"></script>
    <script src="https://code.jquery.com/jquery-1.12.4.js"></script>
    <script src="https://code.jquery.com/ui/1.12.1/jquery-ui.js"></script>
    <script type="text/javascript"></script>
    <script src="https://cdn.ckeditor.com/4.16.2/standard/ckeditor.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.1.0/dist/js/bootstrap.bundle.min.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.1.1/dist/js/bootstrap.min.js" integrity="sha384-skAcpIdS7UcVUC05LJ9Dxay8AXcDYfBJqt1CJ85S/CFujBsIzCIv+l9liuYLaMQ/" crossorigin="anonymous"></script>
    <script src="{{ asset('js/app.js') }}" defer></script>
    <!-- Core theme JS-->
    <script src="js/scripts.js"></script>
</body>
@stack('js')
@include('frantend.layouts.footer')
</html>